Subject: bug#51550: 29.0.50; Customize Group INS buttons sometimes don't have a left box line

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Nov 2021 16:13:35 +0200

> From: Po Lu <[email-masked]>
> Cc: Stephen Berman <[email-masked]>,  [email-masked]
> Date: Tue, 02 Nov 2021 09:58:31 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I see that xterm does something special in x_draw_relief_rect when the
> > line width is exactly 1 pixel, and w32term.c doesn't do that.  maybe
> > that's the problem.
> 
> That isn't related, it only serves to make buttons look nicer and have
> more contrast by drawing a black line outside a relief rect.

So I guess someone will have to step through the relevant drawing code
and see where do those two border lines come from.  I cannot do this
because the problem doesn't exist on my system.